LibreOffice: XElement Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XElement Interface Reference

Capsule around an XML element. More...

Inheritance diagram for XElement:

## Public Member Functions
XElement | getParent ()
| Gets the parent context.
string | getLocalName ()
| Gets the local name of this element.
long | getUid ()
| Gets the namespace uid of this element.
XAttributes | getAttributes ()
| Gets the attributes of this element.
XElement | startChildElement ([in] long uid, [in] string localName, [in] XAttributes xAttributes) raises (com::sun::star::xml::sax::SAXException)
| Called upon each occurring child element.
void | characters ([in] string chars) raises (com::sun::star::xml::sax::SAXException)
| Called upon retrieval of characters.
void | ignorableWhitespace ([in] string whitespace) raises (com::sun::star::xml::sax::SAXException)
| Receives notification of white space that can be ignored.
void | processingInstruction ([in] string target, [in] string data) raises (com::sun::star::xml::sax::SAXException)
| Receives notification of a processing instruction.
void | endElement () raises (com::sun::star::xml::sax::SAXException)
| Receives notification of element closing.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Capsule around an XML element.

## Member Function Documentation

## ◆ characters()

void characters | ( | [in] string | chars | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Called upon retrieval of characters.

Parameters

  chars | characters

## ◆ endElement()

void endElement | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of element closing.

## ◆ getAttributes()

XAttributes getAttributes | ( |  | ) |

Gets the attributes of this element.

Returns
  attributes of this element

## ◆ getLocalName()

string getLocalName | ( |  | ) |

Gets the local name of this element.

Returns
  local name of this element

## ◆ getParent()

XElement getParent | ( |  | ) |

Gets the parent context.

Returns
  parent context

## ◆ getUid()

long getUid | ( |  | ) |

Gets the namespace uid of this element.

Returns
  namespace uid of this element

## ◆ ignorableWhitespace()

void ignorableWhitespace | ( | [in] string | whitespace | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of white space that can be ignored.

Parameters

  whitespace | white space characters

## ◆ processingInstruction()

void processingInstruction | ( | [in] string | target,
|  | [in] string | data
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of a processing instruction.

Parameters

  target | target
  data | data

## ◆ startChildElement()

XElement startChildElement | ( | [in] long | uid,
|  | [in] string | localName,
|  | [in] XAttributes | xAttributes
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Called upon each occurring child element.

Parameters

  uid | namespace uid of element
  localName | local name of element
  xAttributes | attributes of element

Returns
  child import context

The documentation for this interface was generated from the following file:

- com/sun/star/xml/input/XElement.idl